org.apache.maven.monitor.event

## Interface EventMonitor

All Known Implementing Classes:
  AbstractSelectiveEventMonitor, DefaultEventMonitor

    public interface EventMonitor

Author:
  jdcasey

### Method Summary

Methods
`void` `endEvent(java.lang.String eventName, java.lang.String target, long timestamp)`
`void` `errorEvent(java.lang.String eventName, java.lang.String target, long timestamp, java.lang.Throwable cause)`
`void` `startEvent(java.lang.String eventName, java.lang.String target, long timestamp)`

### Method Detail

#### startEvent

    void startEvent(java.lang.String eventName,
                  java.lang.String target,
                  long timestamp)

#### endEvent

    void endEvent(java.lang.String eventName,
                java.lang.String target,
                long timestamp)

#### errorEvent

    void errorEvent(java.lang.String eventName,
                  java.lang.String target,
                  long timestamp,
                  java.lang.Throwable cause)